Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.apps.groupspace.search.savedsearch.controls
Interface SavedSearchControl

All Superinterfaces
  CM_Control<com.bea.apps.groupspace.search.SavedSearchBean>, ContentControlBase<com.bea.apps.groupspace.search.SavedSearchBean,com.bea.apps.groupspace.folders.Folder>, GroupSpaceContentControl<com.bea.apps.groupspace.search.SavedSearchBean>, Serializable

    public interface SavedSearchControl

extends CM_Control<com.bea.apps.groupspace.search.SavedSearchBean>

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`ContentControlBase.NodeSearchType, ContentControlBase.Params`

Method Summary
`com.bea.apps.groupspace.search.SavedSearchBean` | `create(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String serachType, String resourceType, String allWords, String exactPhrase, String anyWords, String noneWords, String[] names, String[] values, com.bea.content.ID parentId, com.bea.content.ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`com.bea.apps.groupspace.search.SavedSearchBean` | `createDefaultSearch(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String resourceType, String allWords, String exactPhrase, String anyWords, String noneWords, com.bea.content.ID parentId, com.bea.content.ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`com.bea.apps.groupspace.search.SavedSearchBean` | `createPropertySearch(String title, String description, com.bea.apps.groupspace.content.CommunityContent.Visibility visibility, String resourceType, String[] names, String[] values, com.bea.content.ID parentId, com.bea.content.ID[] relatedNodes, Set<CmxControl.PropertyPair> dynamicProps)`
`com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.apps.groupspace.search.SavedSearchBean>` | `findSavedSearch(String[] resourceTypes, com.bea.apps.groupspace.content.CommunityContent.Visibility[] visibilities, com.bea.content.expression.SortCriteria[] sortCriteria)`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.CM_Control
`getPersonalContentFolder`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.GroupSpaceContentControl
`asSet, createFolder, createFolder, findByDescription, findByTitle, getCommunity, getCommunityAndPrivate, getCommunityFolder, getPersonal, getPrivate, getReferencingContent, getReferencingContent, getRelatedContent, promoteToCommunity, removeCommunityAndPrivate, removePersonal, removePrivate`

Methods inherited from interface com.bea.apps.groupspace.controls.generic.ContentControlBase
`createObjectClass, createObjects, createObjects, findById, findContentById, findMany, findMany, findManyChildren, getAllPropertyDefinitions, getDefaultStringValue, getFolder, getImmediateChildren, getImmediateChildren, getImmediateChildrenAsPagedResult, getObjectClass, getTopFolder, getTopNode, move, move, remove, remove, remove, removeAll, update, update`

Method Detail

### create

    com.bea.apps.groupspace.search.SavedSearchBean create(String title,
                                                          String description,
                                                          com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                          String serachType,
                                                          String resourceType,
                                                          String allWords,
                                                          String exactPhrase,
                                                          String anyWords,
                                                          String noneWords,
                                                          String[] names,
                                                          String[] values,
                                                          com.bea.content.ID parentId,
                                                          com.bea.content.ID[] relatedNodes,
                                                          Set<CmxControl.PropertyPair> dynamicProps)
                                                          throws com.bea.content.NoSuchNodeException,
                                                                 com.bea.content.RepositoryException,
                                                                 com.bea.content.AuthorizationException

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### createDefaultSearch

    com.bea.apps.groupspace.search.SavedSearchBean createDefaultSearch(String title,
                                                                       String description,
                                                                       com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                                       String resourceType,
                                                                       String allWords,
                                                                       String exactPhrase,
                                                                       String anyWords,
                                                                       String noneWords,
                                                                       com.bea.content.ID parentId,
                                                                       com.bea.content.ID[] relatedNodes,
                                                                       Set<CmxControl.PropertyPair> dynamicProps)
                                                                       throws com.bea.content.NoSuchNodeException,
                                                                              com.bea.content.RepositoryException,
                                                                              com.bea.content.AuthorizationException

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### createPropertySearch

    com.bea.apps.groupspace.search.SavedSearchBean createPropertySearch(String title,
                                                                        String description,
                                                                        com.bea.apps.groupspace.content.CommunityContent.Visibility visibility,
                                                                        String resourceType,
                                                                        String[] names,
                                                                        String[] values,
                                                                        com.bea.content.ID parentId,
                                                                        com.bea.content.ID[] relatedNodes,
                                                                        Set<CmxControl.PropertyPair> dynamicProps)
                                                                        throws com.bea.content.NoSuchNodeException,
                                                                               com.bea.content.RepositoryException,
                                                                               com.bea.content.AuthorizationException

  Throws
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`
    `com.bea.content.AuthorizationException`

### findSavedSearch

    com.bea.p13n.pagination.SortableFilterablePagedResult<com.bea.apps.groupspace.search.SavedSearchBean> findSavedSearch(String[] resourceTypes,
                                                                                                                          com.bea.apps.groupspace.content.CommunityContent.Visibility[] visibilities,
                                                                                                                          com.bea.content.expression.SortCriteria[] sortCriteria)
                                                                                                                          throws com.bea.content.AuthorizationException,
                                                                                                                                 com.bea.content.NoSuchNodeException,
                                                                                                                                 com.bea.content.RepositoryException

  Throws
    `com.bea.content.AuthorizationException`
    `com.bea.content.NoSuchNodeException`
    `com.bea.content.RepositoryException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved